com.google.cloud.dataflow.examples.complete

## Class TrafficMaxLaneFlow.MaxFlow

- java.lang.Object
- - com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.MaxFlow

All Implemented Interfaces:
  SerializableFunction<Iterable<com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.LaneInfo>,com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.LaneInfo>, Serializable

Enclosing class:
  TrafficMaxLaneFlow

    public static class TrafficMaxLaneFlow.MaxFlow
    extends Object
    implements SerializableFunction<Iterable<com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.LaneInfo>,com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.LaneInfo>

A custom 'combine function' used with the Combine.perKey transform. Used to find the max lane flow over all the data points in the Window. Extracts the lane flow from the input string and determines whether it's the max seen so far. We're using a custom combiner instead of the Max transform because we want to retain the additional information we've associated with the flow value.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MaxFlow()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.LaneInfo` `apply(Iterable<com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.LaneInfo> input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaxFlow

    public MaxFlow()

### Method Detail

#### apply

    public com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.LaneInfo apply(Iterable<com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.LaneInfo> input)

Specified by:
  `apply` in interface `SerializableFunction<Iterable<com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.LaneInfo>,com.google.cloud.dataflow.examples.complete.TrafficMaxLaneFlow.LaneInfo>`